Bug 58442 - RFE: split allocate hd_struct per major in sd
Summary: RFE: split allocate hd_struct per major in sd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-16 18:27 UTC by Pete Zaitcev
Modified: 2007-04-18 16:39 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-05 21:28:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Done, but is marred by a tricky oops in ext2 - DON'T USE (18.07 KB, patch)
2002-01-16 18:29 UTC, Pete Zaitcev
no flags Details | Diff
Same fix for 2.4.18-0.13 (8.94 KB, patch)
2002-04-01 20:57 UTC, Pete Zaitcev
no flags Details | Diff
Same fix for Pensacola. (9.18 KB, patch)
2002-04-01 23:19 UTC, Pete Zaitcev
no flags Details | Diff
Better fix for Pensacola (1009 bytes, patch)
2002-05-28 19:24 UTC, Pete Zaitcev
no flags Details | Diff
Better fix for Pensacola (right file this time) (9.58 KB, patch)
2002-07-19 16:44 UTC, Pete Zaitcev
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:227 high SHIPPED_LIVE Important: kernel security update 2002-10-08 04:00:00 UTC

Description Pete Zaitcev 2002-01-16 18:27:01 UTC
Description of Problem:

sd refuses to load with 128 drives because an allocation of
hd_struct in a single array exceeds maximum order.

Comment 1 Pete Zaitcev 2002-01-16 18:29:04 UTC
Created attachment 42615 [details]
Done, but is marred by a tricky oops in ext2 - DON'T USE

Comment 2 Arjan van de Ven 2002-01-16 18:31:25 UTC
any reason why vmalloc is a bad idea ?

Comment 3 Pete Zaitcev 2002-01-16 18:33:10 UTC
The patch must be used with SCSI fixes in
RH >= 2.4.9-18.2 or Marcelo >= 2.4.18-pre2.

[Arjan - thanks for the note, yes vmalloc is a good idea.
We do not do DMA into that area :)]


Comment 4 Pete Zaitcev 2002-04-01 18:30:17 UTC
*** Bug 61364 has been marked as a duplicate of this bug. ***

Comment 5 Pete Zaitcev 2002-04-01 20:57:41 UTC
Created attachment 51687 [details]
Same fix for 2.4.18-0.13

Comment 6 Pete Zaitcev 2002-04-01 23:19:06 UTC
Created attachment 51706 [details]
Same fix for Pensacola.

Comment 7 Pete Zaitcev 2002-04-01 23:21:47 UTC
I would appreciate if Heather tried out the candidate fix.


Comment 8 Pete Zaitcev 2002-05-05 05:11:45 UTC
Accepted by Marcelo into 2.4.19-pre7. Test while it's hot :)


Comment 9 Heather Conway 2002-05-21 18:00:38 UTC
The patch to v2.4.18 applied cleanly and the kernel recompiled without any 
problems.  I have been working with the Qlogic v4.47.11 driver and have not run 
into the problems of phantom LUNs being reported.
The patch to v2.4.9 applied cleanly, but the kernel will not recompile 
properly.  I'm using Pensacola 4/10 release (v2.4.9-26beta.59). When compiling 
sd.o as either static or a module, I get the following:
sd.c:  In function 'sd_ioctl':
sd.c:241: 'sd' undeclared (first use in this function)
sd.c:241: (Each undeclared identifier is reported only once
sd.c:241: for each function it appears in.)
make[3]: *** [sd.o] Error 1
make[3]: Leaving directory '/usr/src/linux-2.4.9/drivers/scsi'
make[3]: ***  [first_rule] Error 2
make[3]: Leaving directory '/usr/src/linux-2.4.9/drivers/scsi'
make[3]: ***  [subdir_scsi] Error 2
make[1]: Leaving directory '/usr/src/linux-2.4.9/drivers'
make: *** [_dir_drivers] Error 2

Comment 10 Pete Zaitcev 2002-05-28 19:24:28 UTC
Created attachment 58786 [details]
Better fix for Pensacola

Comment 11 Pete Zaitcev 2002-05-28 19:28:54 UTC
The Advanced Server has its own team in Boston now, headed
by Larry Woodman. Fixing AS has to be discussed with him,
I am not commiting such invasive chances to his codebase
without permission.

So, I think we can close it as Rawhide.

Phantom LUNs are something else, they have to be tracked with
their own entry.


Comment 12 Heather Conway 2002-07-19 13:52:01 UTC
Using attachment #51706 [details], the patch applies cleanly, but the kernel fails 
compilation when compiling the sd.o with the error message posted on 5/21/2002. 
Would it be possible to repost attachment #58786 [details]? (The current one is not a 
patch.)  Has there been any other work done on this issue?
Thanks.

Comment 13 Pete Zaitcev 2002-07-19 16:44:14 UTC
Created attachment 66004 [details]
Better fix for Pensacola (right file this time)

Comment 14 Pete Zaitcev 2002-07-19 16:47:01 UTC
I am terribly sorry, got right file this time.

Did you talk to Larry yet? Do you want me to poke him?
As far as I can tell, the change should be acceptable for AS2.1,
it does not change ABI (or so I think...).


Comment 15 Gary Lerhaupt 2002-07-30 20:53:53 UTC
Has this been closed in a Pensacola errata?
-Gary

Comment 16 Heather Conway 2002-08-08 20:51:26 UTC
Is this patch going to be included in an upcoming 2.1 AS errata?

Comment 17 Pete Zaitcev 2002-08-08 21:20:21 UTC
I think Pensacola is going to take it;
Its bug 61364 was de-aliased for tracking.


Comment 18 Matt Domsch 2002-11-05 21:27:59 UTC
Pete, since this was taken in 8.0, and the fix for Pensacola has its own 
tracking number, can you close this issue?


Comment 19 Pete Zaitcev 2002-11-05 22:48:40 UTC
Closing in RH8.0.



Note You need to log in before you can comment on or make changes to this bug.